# Class VulkanLWJGLDescriptorPoolSizes

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLDescriptorPoolSizes

public final class VulkanLWJGLDescriptorPoolSizes extends Object
Functions to pack descriptor pool sizes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.lwjgl.vulkan.VkDescriptorPoolSize`
  `packDescriptorPoolSize(org.lwjgl.system.MemoryStack stack, VulkanDescriptorPoolSize info)`
  Pack a value into a Vulkan structure.
  `static org.lwjgl.vulkan.VkDescriptorPoolSize`
  `packDescriptorPoolSizeInto(VulkanDescriptorPoolSize info, org.lwjgl.vulkan.VkDescriptorPoolSize buffer)`
  Pack a value into a Vulkan structure.
  `static org.lwjgl.vulkan.VkDescriptorPoolSize.Buffer`
  `packDescriptorPoolSizes(org.lwjgl.system.MemoryStack stack, List<VulkanDescriptorPoolSize> infos)`
  Pack a list of values into a Vulkan structure.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### packDescriptorPoolSizes

    public static org.lwjgl.vulkan.VkDescriptorPoolSize.Buffer packDescriptorPoolSizes(org.lwjgl.system.MemoryStack stack, List<VulkanDescriptorPoolSize> infos)
    Pack a list of values into a Vulkan structure.
    Parameters:
      `stack` - The stack used for allocations
      `infos` - The input values
    Returns:
      A packed Vulkan structure

  - ### packDescriptorPoolSize

    public static org.lwjgl.vulkan.VkDescriptorPoolSize packDescriptorPoolSize(org.lwjgl.system.MemoryStack stack, VulkanDescriptorPoolSize info)
    Pack a value into a Vulkan structure.
    Parameters:
      `stack` - The stack used for allocations
      `info` - The input value
    Returns:
      A packed Vulkan structure

  - ### packDescriptorPoolSizeInto

    public static org.lwjgl.vulkan.VkDescriptorPoolSize packDescriptorPoolSizeInto(VulkanDescriptorPoolSize info, org.lwjgl.vulkan.VkDescriptorPoolSize buffer)
    Pack a value into a Vulkan structure.
    Parameters:
      `info` - The input value
      `buffer` - The output value
    Returns:
      A packed Vulkan structure